## clinfo 0.0.20130409

=== debian/changelog ===
clinfo (0.0.20130409-2) unstable; urgency=low

  * Conflict/Replace amd-clinfo (Closes: #706093)

 -- Simon Richter <sjr@debian.org>  Fri, 26 Apr 2013 12:02:59 +0200

clinfo (0.0.20130409-1) unstable; urgency=low

  * Initial release

 -- Simon Richter <sjr@debian.org>  Tue, 09 Apr 2013 22:38:26 +0200

## clinfo 0.0.git20141116

=== Makefile ===
SRCDIR=src

VPATH=$(SRCDIR)

HDR=$(wildcard $(SRCDIR)/*.h)

PLATFORM=$(shell uname -s)

ifeq ($(PLATFORM),Darwin)
  LDLIBS=-framework OpenCL
else
  LDLIBS=-lOpenCL
endif

CFLAGS+=-g -Wall

clinfo:

clinfo.o: clinfo.c $(HDR)

clean:
	$(RM) clinfo.o clinfo

## clinfo 0.0.20130513

=== debian/changelog ===
clinfo (0.0.20130513-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Mon, 13 May 2013 19:52:36 +0200

=== debian/control ===
Source: clinfo
Section: admin
Priority: optional
Maintainer: Simon Richter <sjr@debian.org>
Build-Depends: debhelper (>= 9.0.0), autotools-dev,
 ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev
Standards-Version: 3.9.4
Homepage: http://www.simonrichter.eu/clinfo

Package: clinfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: amd-clinfo
Replaces: amd-clinfo
Description: Query OpenCL system information
 OpenCL (Open Computing Language) is a multivendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains a tool that queries the capabilities of the available
 OpenCL drivers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with autotools-dev

## clinfo 0.0.git20141116-g3263181

=== debian/changelog ===
clinfo (0.0.git20141116-g3263181-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1431283)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 10 Apr 2015 19:20:48 +0200

clinfo (0.0.git20141116-g3263181-1) experimental; urgency=medium

  * Switch to the implementation by Giuseppe Bilotta,
    https://github.com/Oblomov/clinfo
  * Redo the packaging for the new upstream.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Nov 2014 06:21:53 +0100

clinfo (0.0.20130513-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Set Maintainer to "Debian OpenCL Maintainers" with Simon's permission.
  * Add Simon Richter and myself to Uploaders.
  * Import packaging into git. Add Vcs-* URLs.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Rebecca N. Palmer ]
  * Don't exit on CL_DEVICE_NOT_FOUND (Closes: #767985)
  * Fix typo in "endianness".

 -- Andreas Beckmann <anbe@debian.org>  Thu, 13 Nov 2014 12:16:40 +0100

clinfo (0.0.20130513-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Boll ]
  * Drop unused CL_DEVICE_BUILT_IN_KERNELS query, fixes clinfo output on
    OpenCL 1.1 drivers (Closes: #721103).

 -- Julien Cristau <jcristau@debian.org>  Mon, 15 Sep 2014 18:02:53 +0200

=== debian/control ===
Source: clinfo
Section: admin
Priority: optional
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders:
 Simon Richter <sjr@debian.org>,
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper (>= 9),
 ocl-icd-opencl-dev | opencl-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/Oblomov/clinfo
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/clinfo.git
Vcs-Git: git://anonscm.debian.org/pkg-opencl/clinfo.git

Package: clinfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts:
 clinfo,
 amd-clinfo,
Replaces:
 clinfo,
 amd-clinfo,
Provides:
 clinfo,
Description: Query OpenCL system information
 OpenCL (Open Computing Language) is a multivendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains a tool that queries the capabilities of the available
 OpenCL drivers.

## clinfo 2.0.15.04.28

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
   LDLIBS=-lOpenCL
 endif
 
-CFLAGS+=-g -Wall
+CFLAGS+=-std=c99 -g -Wall -Wextra
 
 clinfo:

=== debian/changelog ===
clinfo (2.0.15.04.28-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Apr 2015 14:29:39 +0200

## clinfo 2.1.16.01.12

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,14 @@
   LDLIBS=-lOpenCL
 endif
 
+ifeq ($(PLATFORM),Linux)
+  LDLIBS += -ldl
+endif
+
 CFLAGS+=-std=c99 -g -Wall -Wextra
+
+SPARSE ?= sparse
+SPARSEFLAGS=-Wsparse-all -Wno-decl
 
 clinfo:
 
@@ -20,3 +27,8 @@
 
 clean:
 	$(RM) clinfo.o clinfo
+
+sparse: clinfo.c
+	$(SPARSE) $(CPPFLAGS) $(CFLAGS) $(SPARSEFLAGS) $^
+
+.PHONY: clean sparse

=== debian/changelog ===
clinfo (2.1.16.01.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Feb 2016 14:06:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 Build-Depends:
  debhelper (>= 9),
  ocl-icd-opencl-dev | opencl-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/Oblomov/clinfo
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/clinfo.git
-Vcs-Git: git://anonscm.debian.org/pkg-opencl/clinfo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/clinfo.git
 
 Package: clinfo
 Architecture: any

## clinfo 2.2.17.10.25

=== debian/changelog ===
clinfo (2.2.17.10.25-1) unstable; urgency=medium

  * New upstream release.  (Closes: #845400)
  * Upstream license changed from public domain to CC0.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Switch to debhelper compat level 11.
  * Set Rules-Requires-Root: no.
  * Conflicts/Replaces: fglrx-updates-core.  (LP: #1564753)
  * Add watch file.
  * Enable more hardening.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 13 Jan 2018 06:37:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  Simon Richter <sjr@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11~),
  ocl-icd-opencl-dev | opencl-dev,
-Standards-Version: 3.9.7
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://github.com/Oblomov/clinfo
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/clinfo.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/clinfo.git
@@ -19,9 +20,11 @@
 Conflicts:
  clinfo,
  amd-clinfo,
+ fglrx-updates-core,
 Replaces:
  clinfo,
  amd-clinfo,
+ fglrx-updates-core,
 Provides:
  clinfo,
 Description: Query OpenCL system information

=== debian/watch ===
version=4

opts="mode=git, pgpmode=none" \
https://github.com/Oblomov/clinfo.git refs/tags/([\d\.]+) debian uupdate

## clinfo 2.2.18.03.26

=== Makefile ===
# Headers

PROG = clinfo
MAN = man1/$(PROG).1

HDR =	src/error.h \
	src/ext.h \
	src/fmtmacros.h \
	src/memory.h \
	src/ms_support.h \
	src/strbuf.h

VPATH = src

CFLAGS ?= -g -pedantic -Werror
CFLAGS += -std=c99 -Wall -Wextra

SPARSE ?= sparse
SPARSEFLAGS=-Wsparse-all -Wno-decl

# BSD make does not define RM
RM ?= rm -f

# Installation paths and modes
PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
BINMODE ?= 555
MANDIR ?= $(PREFIX)/man
MANMODE ?= 444

# Common library includes
LDLIBS = -lOpenCL -ldl

# OS-specific library includes
LDLIBS_Darwin = -framework OpenCL
LDLIBS_Darwin_exclude = -lOpenCL

LDLIBS += $(LDLIBS_${OS})

# Remove -lOpenCL if OS is Darwin
LDLIBS := $(LDLIBS:$(LDLIBS_${OS}_exclude)=)


#
# Standard targets
#

$(PROG): $(PROG).o

$(PROG).o: $(PROG).c $(HDR)

clean:
	$(RM) $(PROG).o $(PROG)

$(BINDIR):
	install -d $@

$(MANDIR)/man1:
	install -d $@

$(BINDIR)/$(PROG): $(PROG) $(BINDIR)
	install -p -m $(BINMODE) $(PROG) $@

$(MANDIR)/$(MAN): $(MAN) $(MANDIR)/man1
	install -p -m $(MANMODE) $(MAN) $@

install: $(BINDIR)/$(PROG) $(MANDIR)/$(MAN)


sparse: $(PROG).c
	$(SPARSE) $(CPPFLAGS) $(CFLAGS) $(SPARSEFLAGS) $^


.PHONY: clean sparse install

=== debian/changelog ===
clinfo (2.2.18.03.26-1) unstable; urgency=medium

  * New upstream release.
  * Ship the new README.md.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Mar 2018 18:09:33 +0200

clinfo (2.2.18.03.15-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Add debian/upstream/metadata.
  * Switch Vcs-* URLs to salsa.debian.org.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Mar 2018 07:29:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.1.3
 Homepage: https://github.com/Oblomov/clinfo
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/clinfo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-opencl/clinfo.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/clinfo
+Vcs-Git: https://salsa.debian.org/opencl-team/clinfo.git
 
 Package: clinfo
 Architecture: any

## clinfo 2.2.18.04.06

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# An interesting trick run a shell command:
+# GNU Make uses $(shell cmd), whereas
+# BSD make use $(var:sh), where ${var} holds the command
+OS.exec = uname -s
+OS ?= $(shell $(OS.exec))$(OS.exec:sh)
+OS := $(OS)
+
 # Headers
 
 PROG = clinfo
@@ -5,9 +12,13 @@
 
 HDR =	src/error.h \
 	src/ext.h \
+	src/ctx_prop.h \
 	src/fmtmacros.h \
 	src/memory.h \
 	src/ms_support.h \
+	src/info_loc.h \
+	src/info_ret.h \
+	src/opt_out.h \
 	src/strbuf.h
 
 VPATH = src

=== debian/changelog ===
clinfo (2.2.18.04.06-1) buster; urgency=medium

  * Boundary rebuild for buster
  * Patched for vivante-opencl-dev

 -- Laci Tele <laci@boundarydevices.com>  Tue, 10 Dec 2019 13:04:16 -0800

clinfo (2.2.18.04.06-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Dec 2018 01:23:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Simon Richter <sjr@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  ocl-icd-opencl-dev | opencl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/Oblomov/clinfo
 Vcs-Browser: https://salsa.debian.org/opencl-team/clinfo
 Vcs-Git: https://salsa.debian.org/opencl-team/clinfo.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = yes
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:


override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

## clinfo 3.0.20.11.20

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# An interesting trick run a shell command:
+# An interesting trick to run a shell command:
 # GNU Make uses $(shell cmd), whereas
 # BSD make use $(var:sh), where ${var} holds the command
 OS.exec = uname -s
@@ -23,6 +23,11 @@
 
 VPATH = src
 
+# Make it easier to find the OpenCL headers on systems
+# that don't ship them by default; the user can just clone
+# them on a parallel directory from the official repository
+CPPFLAGS += -I../OpenCL-Headers
+
 CFLAGS ?= -g -pedantic -Werror
 CFLAGS += -std=c99 -Wall -Wextra
 
@@ -39,18 +44,20 @@
 MANDIR ?= $(PREFIX)/man
 MANMODE ?= 444
 
+ANDROID_VENDOR_PATH = ${ANDROID_ROOT}/vendor/lib64
+
+LDFLAGS_Android += -Wl,-rpath-link=${ANDROID_VENDOR_PATH} -L${ANDROID_VENDOR_PATH}
+
+LDFLAGS += $(LDFLAGS_$(OS))
+
 # Common library includes
-LDLIBS = -lOpenCL -ldl
+LDLIBS__common = -lOpenCL -ldl
 
 # OS-specific library includes
 LDLIBS_Darwin = -framework OpenCL
 LDLIBS_Darwin_exclude = -lOpenCL
 
-LDLIBS += $(LDLIBS_${OS})
-
-# Remove -lOpenCL if OS is Darwin
-LDLIBS := $(LDLIBS:$(LDLIBS_${OS}_exclude)=)
-
+LDLIBS += $(LDLIBS_${OS}) $(LDLIBS__common:$(LDLIBS_${OS}_exclude)=)
 
 #
 # Standard targets

=== debian/changelog ===
clinfo (3.0.20.11.20-1) unstable; urgency=medium

  * New upstream release.  (Closes: #975339)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Nov 2020 00:58:39 +0100

clinfo (2.2.18.04.06-2) unstable; urgency=medium

  * Avoid misleading notice on loader supporting OpenCL 3.0.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 19 Nov 2020 16:19:53 +0100

## clinfo 3.0.21.02.21

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,18 @@
 # An interesting trick to run a shell command:
 # GNU Make uses $(shell cmd), whereas
 # BSD make use $(var:sh), where ${var} holds the command
-OS.exec = uname -s
+# We can run a shell command on both by storing the value of the command
+# in a variable var and then using $(shell $(var))$(var:sh).
+
+# To detect the operating system it's generally sufficient to run `uname - s`,
+# but this way Android is detected as Linux. Android can be detected by `uname -o`,
+# but not all `uname` implementation even have the `-o` flag.
+# So we first detect the kernel, and then if it's Linux we use the -o detection
+# to find if this is Android, otherwise falling back to whatever the kernel was.
+
+OS.exec = t="$$(uname -s)" ; [ Linux = "$$t" ] && uname -o || printf "%s\n" "$$t"
 OS ?= $(shell $(OS.exec))$(OS.exec:sh)
+# Force expansion
 OS := $(OS)
 
 # Headers
@@ -44,7 +54,7 @@
 MANDIR ?= $(PREFIX)/man
 MANMODE ?= 444
 
-ANDROID_VENDOR_PATH = ${ANDROID_ROOT}/vendor/lib64
+ANDROID_VENDOR_PATH ?= ${ANDROID_ROOT}/vendor/lib64
 
 LDFLAGS_Android += -Wl,-rpath-link=${ANDROID_VENDOR_PATH} -L${ANDROID_VENDOR_PATH}
 
@@ -59,16 +69,46 @@
 
 LDLIBS += $(LDLIBS_${OS}) $(LDLIBS__common:$(LDLIBS_${OS}_exclude)=)
 
+# The main target is the executable, which is normally called clinfo.
+# However, on Android, due to the lack of support for RPATH, clinfo
+# needs an approprite LD_LIBRARY_PATH, so we map `clinfo` to a shell script
+# that sets LD_LIBRARY_PATH and invokes the real program, which is now called
+# clinfo.real.
 #
-# Standard targets
+# Of course on Android we need to buid both, but not on other OSes
+
+
+EXT.Android = .real
+EXENAME = $(PROG)$(EXT.${OS})
+
+TARGETS.Android = $(PROG)
+TARGETS = $(EXENAME) $(TARGETS.${OS})
+
+all: $(TARGETS)
+
 #
+# Targets to actually build the stuff
+#
+# Many versions of make define a LINK.c as a synthetic rule to link
+# C object files. In case it's not defined already, propose our own:
+LINK.c ?= $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)
 
-$(PROG): $(PROG).o
+# Recipe for the actual executable, either clinfo (non-Android)
+# or clinfo.real (on Androd)
+$(EXENAME): $(PROG).o
+	$(LINK.c) -o $@ $< $(LDLIBS)
 
 $(PROG).o: $(PROG).c $(HDR)
 
+# For Android: create a wrapping shell script to run
+# clinfo with the appropriate LD_LIBRARY_PATH.
+$(OS:Android=)$(PROG):
+	@echo '#!/bin/sh' > $@
+	@echo 'LD_LIBRARY_PATH="${ANDROID_VENDOR_PATH}:${ANDROID_VENDOR_PATH}/egl:$$LD_LIBRARY_PATH" ./$(EXENAME) "$$@"' >> $@
+	chmod +x $@
+
 clean:
-	$(RM) $(PROG).o $(PROG)
+	$(RM) $(PROG).o $(TARGETS)
 
 $(BINDIR):
 	install -d $@

=== debian/changelog ===
clinfo (3.0.21.02.21-1) unstable; urgency=medium

  * New upstream release.
  * Let reportbug collect information about installed ICDs.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Feb 2021 17:42:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Simon Richter <sjr@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  ocl-icd-opencl-dev | opencl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/Oblomov/clinfo
 Vcs-Browser: https://salsa.debian.org/opencl-team/clinfo
 Vcs-Git: https://salsa.debian.org/opencl-team/clinfo.git

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,3 @@
 	dh $@
 
 override_dh_auto_install:
-
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%clinfo-$1.tar.gz%" \
    https://github.com/Oblomov/clinfo/tags \
    (?:.*?/)?v?(\d\.[\d.]*)\.tar\.gz debian uupdate

## clinfo 3.0.23.01.25

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 BINDIR ?= $(PREFIX)/bin
 BINMODE ?= 555
 MANDIR ?= $(PREFIX)/man
+MAN1DIR ?= $(MANDIR)/man1
 MANMODE ?= 444
 
 ANDROID_VENDOR_PATH ?= ${ANDROID_ROOT}/vendor/lib64
@@ -110,20 +111,12 @@
 clean:
 	$(RM) $(PROG).o $(TARGETS)
 
-$(BINDIR):
-	install -d $@
+install: all
+	install -d $(DESTDIR)$(BINDIR)
+	install -d $(DESTDIR)$(MAN1DIR)
 
-$(MANDIR)/man1:
-	install -d $@
-
-$(BINDIR)/$(PROG): $(PROG) $(BINDIR)
-	install -p -m $(BINMODE) $(PROG) $@
-
-$(MANDIR)/$(MAN): $(MAN) $(MANDIR)/man1
-	install -p -m $(MANMODE) $(MAN) $@
-
-install: $(BINDIR)/$(PROG) $(MANDIR)/$(MAN)
-
+	install -p -m $(BINMODE) $(PROG) $(DESTDIR)$(BINDIR)/$(PROG)
+	install -p -m $(MANMODE) $(MAN) $(DESTDIR)$(MAN1DIR)
 
 sparse: $(PROG).c
 	$(SPARSE) $(CPPFLAGS) $(CFLAGS) $(SPARSEFLAGS) $^

=== debian/changelog ===
clinfo (3.0.23.01.25-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:31 +0200

clinfo (3.0.23.01.25-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 Jan 2023 11:36:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: clinfo
 Section: admin
 Priority: optional
-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
  Simon Richter <sjr@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -9,7 +10,7 @@
  debhelper-compat (= 13),
  ocl-icd-opencl-dev | opencl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Oblomov/clinfo
 Vcs-Browser: https://salsa.debian.org/opencl-team/clinfo
 Vcs-Git: https://salsa.debian.org/opencl-team/clinfo.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%clinfo-$1.tar.gz%" \
    https://github.com/Oblomov/clinfo/tags \
    (?:.*?/)?v?(\d\.[\d.]*)\.tar\.gz

## clinfo 3.0.25.02.14

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # We can run a shell command on both by storing the value of the command
 # in a variable var and then using $(shell $(var))$(var:sh).
 
-# To detect the operating system it's generally sufficient to run `uname - s`,
+# To detect the operating system it's generally sufficient to run `uname -s`,
 # but this way Android is detected as Linux. Android can be detected by `uname -o`,
 # but not all `uname` implementation even have the `-o` flag.
 # So we first detect the kernel, and then if it's Linux we use the -o detection
@@ -105,7 +105,8 @@
 # clinfo with the appropriate LD_LIBRARY_PATH.
 $(OS:Android=)$(PROG):
 	@echo '#!/bin/sh' > $@
-	@echo 'LD_LIBRARY_PATH="${ANDROID_VENDOR_PATH}:${ANDROID_VENDOR_PATH}/egl:$$LD_LIBRARY_PATH" ./$(EXENAME) "$$@"' >> $@
+	@echo 'wrapperdir="$$(dirname "$$(readlink -n -f "$$(command -v "$$0")")")"' >> $@
+	@echo 'LD_LIBRARY_PATH="${ANDROID_VENDOR_PATH}:${ANDROID_VENDOR_PATH}/egl:$$LD_LIBRARY_PATH" $${wrapperdir}/$(EXENAME) "$$@"' >> $@
 	chmod +x $@
 
 clean:
@@ -121,5 +122,14 @@
 sparse: $(PROG).c
 	$(SPARSE) $(CPPFLAGS) $(CFLAGS) $(SPARSEFLAGS) $^
 
+show:
+	@printf 'OS=%s\n' "${OS}"
+	@printf 'CFLAGS=%s\n' "${CFLAGS}"
+	@printf 'CPPFLAGS=%s\n' "${CPPFLAGS}"
+	@printf 'LDFLAGS=%s\n' "${LDFLAGS}"
+	@printf 'LDLIBS=%s\n' "${LDLIBS}"
+	@printf 'TARGETS=%s\n' "${TARGETS}"
 
-.PHONY: clean sparse install
+
+
+.PHONY: clean sparse install show

=== debian/changelog ===
clinfo (3.0.25.02.14-1) unstable; urgency=medium

  * New upstream release.
  * Remove Simon from Uploaders.  (Closes: #1053553)
    Thanks for your work on the initial clinfo version!
  * Update standards version to 4.7.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Feb 2025 12:36:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: clinfo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders:
- Simon Richter <sjr@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  ocl-icd-opencl-dev | opencl-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Oblomov/clinfo
 Vcs-Browser: https://salsa.debian.org/opencl-team/clinfo
 Vcs-Git: https://salsa.debian.org/opencl-team/clinfo.git
